2018-08-19 20:28 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002930OpenFOAMPatchpublic2018-05-21 11:08
Reporterjkau 
Assigned Towill 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002930: heightAboveWave always initialized with 'false' in copy constructor
DescriptionheightAboveWave switch is always set to false in copy constructor of waveSuperposition class instead of being inherited. Find attached patch to fix.
TagsNo tags attached.
Attached Files
  • patch file icon heightAboveWave.patch (537 bytes) 2018-05-14 16:10 -
    diff --git a/src/waves/waveSuperposition/waveSuperposition.C b/src/waves/waveSuperposition/waveSuperposition.C
    index 2e3fe8e..b096c1f 100644
    --- a/src/waves/waveSuperposition/waveSuperposition.C
    +++ b/src/waves/waveSuperposition/waveSuperposition.C
    @@ -198,7 +198,7 @@ Foam::waveSuperposition::waveSuperposition(const waveSuperposition& waves)
         ramp_(waves.ramp_, false),
         scale_(waves.scale_, false),
         crossScale_(waves.crossScale_, false),
    -    heightAboveWave_(false)
    +    heightAboveWave_(waves.heightAboveWave_)
     {}
     
     
    
    patch file icon heightAboveWave.patch (537 bytes) 2018-05-14 16:10 +

-Relationships
+Relationships

-Notes

~0009610

will (manager)

Thanks. Fixed in dev by 9dcdf23a.
+Notes

-Issue History
Date Modified Username Field Change
2018-05-14 16:10 jkau New Issue
2018-05-14 16:10 jkau File Added: heightAboveWave.patch
2018-05-21 11:08 will Assigned To => will
2018-05-21 11:08 will Status new => resolved
2018-05-21 11:08 will Resolution open => fixed
2018-05-21 11:08 will Fixed in Version => dev
2018-05-21 11:08 will Note Added: 0009610
+Issue History